<?php
namespace Common\Model;
use Common\Model\BaseModel;

class BuyModel extends BaseModel{

    // 自动验证
    protected $_validate=array(
	//购买时自动验证
	array('uid','require','没有获取到用户信息',0,'regex',1),//新增时，用户ID必需存在
	array('url','require','请填写需要授权的域名',0,'regex',1),//新增时，域名必填
	array('url', '', '填写的授权域名已经存在！',0, 'unique',1), //域名项存在的话，验证是否重复
	array('cpid', 'require', '产品获取失败',0, 'regex',1), 
	array('sqfs', 'require', '授权方式获取失败',0, 'regex',1), 
	array('authid', 'require', '授权码分配失败',0, 'regex',1), 
	array('sdate', 'require', '授权开始时间获取失败',0, 'regex',1), 
	
	//修改时自动验证
	array('uid','require','没有获取到用户信息',0,'regex',2),//用户ID必需存在
	array('authid', '', '授权码有重复！',0, 'unique',2), //验证授权码是否重复
	array('url','require','请填写需要授权的域名',0,'regex',2),//域名必填
	array('url', '', '填写的授权域名已经存在！',0, 'unique',2), //域名项存在的话，验证是否重复
	array('cpid', 'require', '产品获取失败',0, 'regex',2), 
	array('authid', 'require', '授权码分配失败',0, 'regex',2), 
	array('sdate', 'require', '授权开始时间获取失败',0, 'regex',2), 
	
        );

    // 自动完成
    protected $_auto=array(
      
     
         
	 
     );
      

    // 添加数据
    public function addData($add_data){
        if($data=$this->create($add_data)){
            $id=$this->add($data);
            return $id;
        }else{
            return false;
        }
    }

    /**
     * 获取token值
     * @param  integer  $uid  用户id
     * @param  integer $type  类型
     * @return string         token值
     */
    public function getToken($uid,$type){
        $map=array(
            'uid'=>$uid,
            'type'=>$type
            );
        $token=$this->where($map)->getField('access_token');
        return $token;
    }

}